package co.gov.igac.snc.persistence.util;

/**
 * enumeración con los nombres de los datos en la tabla PARAMETRO
 *
 * @author ??? alguien que no documenta
 * @modified by fredy.wilches	Adición de los parámetros documento solicitante y tipo identificacion
 * para IPER
 */
public enum EParametro {

    ACCESO_PERMITIDO,
    CP_DESENGLOBE_MANZANAS,
    DIAS_FIJACION_EDICTO,
    DIFERENCIA_AREA_TERRENO_PERMITIDA,
    DOCUMENTO_SOLICITANTE_IPER,
    EDITOR_UMBRAL_ASYNC,
    FECHA_NO_ADMITE_TRAMITE,
    IVA,
    MAX_ACCESOS_SIMULTANEOS,
    MAX_RESULTS_CONSULTA_TRAMITE,
    PAIS_DEFECTO,
    PORCENTAJE_CALCULO_AVALUO_MANUAL,
    RUTA_DOCUMENTO_ZIP,
    RESOLUCION_PAGO_HONORARIOS,
    RESOLUCION_PAGO_COSTO_SERVICIO,
    RESOLUCION_DE_AVALUOS,
    TIPO_IDENTIFICACION_SOLICITANTE_IPER,
    USUARIO_RECURRENTE,
    EJECUTA_JOB_APLICAR_CAMBIOS,
    EJECUTA_JOB_CARGA_HISTORICOS,
    EJECUTA_JOB_VERIFICAR_PENDIENTES,
    EJECUTA_JOB_ESPERANDO,
    EJECUTA_JOB_ERROR_GEOGRAFICO,
    SOLO_SECRETARIA,
    INTERVALO_CIERRE_SISTEMA,
    TIENE_ACCESO_ACTUALIZACION,
    TRAMITES_ACTUALIZACION_NOTIFICAN,
    TRAMITES_CONSERVACION_NOTIFICAN,
    MAX_CANTIDAD_ENVIO_JOB_RESOLUCIONES,
    CANTIDAD_ARCHIVOS_CARGAR_FTP,
    MAX_CANTIDAD_ENVIO_JOB_FICHA_Y_CARTA_CATASTRAL,
    MAX_CANTIDAD_TRAMITES_A_CANCELAR,
    CORREO_RESTITUCION_TIERRAS,
    NOMBRE_RESTITUCION_TIERRAS,
    VALIDACION_URLS_PLANTILLA_SECCION_REPORTE,
    TAMANO_MAX_DESCARGAS,
    MAX_CANTIDAD_PREDIOS_REPORTE_DIURNO,
    URL_REPORTE_ESTADISTICO_VACIO,
    VALIDA_GENERACION_FICHA_PREDIAL_CARTA_CATASTRAL,
    MAX_TRAMITES_REGISTRAR_NOTIFICACION;
}